@import "geist/font/geist-sans.css";
@import "geist/font/geist-mono.css";

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  margin: 0;
  padding: 0;

  font-family: "Geist Sans", sans-serif;
  background-color: white;
}

/* INDEX HEADER */
#index-header {
  display: flex;
  align-items: stretch;
  justify-content: center;

  width: 1500px;
  padding: 0px;
  margin-top: 50px;

  background-color: white;
  border: 1px solid lightblue;
  border-radius: 10px;
  overflow: hidden;
}

#index-header img {
  height: 400px;
}

/* MAIN CONTAINER */
#main-container {
  display: flex;
  align-items: flex-start;
  justify-content: space-evenly;

  width: 90%;
  height: auto;
  margin: 50px 0;
}

/* MAIN CONTAINER PART 1*/

#index-first-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;

  width: 450px;
  height: auto;

  box-sizing: border-box;
  border-radius: 10px;
  border: 1px solid lightblue;
  overflow: hidden;
}

#index-first-section-part-1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;

  width: 450px;
  height: 350px;
  padding: 10px;

  text-align: center;

  box-sizing: border-box;
  border-radius: 10px;
  background-color: lightcyan;
}

#index-first-section-part-1 img {
  width: 250px;
}

#index-first-section-part-2 {
  height: 320px;
  padding: 10px;
  line-height: 1.5;
  background-color: aliceblue;
}

/* MAIN CONTAINER PART 2*/
#index-second-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;

  width: 450px;
  height: auto;

  box-sizing: border-box;
  border-radius: 10px;
  border: 1px solid lightblue;
  overflow: hidden;
}

#index-second-section-part-1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;

  width: 450px;
  height: 350px;
  padding: 10px;

  text-align: center;

  box-sizing: border-box;
  border-radius: 10px;
  background-color: lightcyan;
}

#index-second-section-part-1 img {
  width: 280px;
}

#index-second-section-part-2 {
  height: 320px;
  padding: 10px;
  line-height: 1.5;
  background-color: aliceblue;
}

/* MAIN CONTAINER PART 3*/
#index-third-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;

  width: 450px;
  height: auto;

  box-sizing: border-box;
  border-radius: 10px;
  border: 1px solid lightblue;
  overflow: hidden;
}

#index-third-section-part-1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;

  width: 450px;
  height: 350px;
  padding: 10px;

  text-align: center;

  box-sizing: border-box;
  border-radius: 10px;
  background-color: lightcyan;
}

#index-third-section-part-2 {
  height: 320px;
  padding: 10px;
  line-height: 1.5;
  background-color: aliceblue;
}

/* AUTHENTIFICATION PART */

#account-management {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: 600px;
  height: 400px;
  margin-bottom: 50px;
  gap: 20px;
}

#without-account-link {
  text-decoration: none;
  color: black;
}

#without-account {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: 500px;
  padding: 10px;

  border: 1px solid lightblue;
  border-radius: 10px;
  background-color: aliceblue;
  transition:
    transform 0.2s ease,
    box-shadow 0.2s ease;
}

#without-account:hover {
  background-color: white;
  cursor: pointer;
  transform: translateY(-5px);
}

#without-account-title {
  font-weight: bold;
}

#without-account ul {
  padding: 0;
  list-style-type: none;
  text-align: center;
}

#with-account-link {
  text-decoration: none;
  color: black;
}

#with-account {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  width: 500px;
  padding: 10px;

  border: 1px solid lightblue;
  border-radius: 10px;
  background-color: lightcyan;
  transition:
    transform 0.2s ease,
    box-shadow 0.2s ease;
}

#with-account:hover {
  background-color: white;
  cursor: pointer;
  transform: translateY(-5px);
}

#with-account-title {
  font-weight: bold;
}

#with-account ul {
  padding: 0;
  list-style-type: none;
  text-align: center;
}

#with-account-sub-title {
  font-weight: bold;
}

/* MOBILE */
@media screen and (max-width: 500px) {
  body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    max-width: 100%;
  }

  footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;

    width: 100%;
    height: 100px;
    margin-top: 20px;

    font-size: 11px;
    background: whitesmoke;
  }
}
